Subject: bug#43152: 28.0.50; when building emacs 28.0.50 ./temacs is stopped with core

From: Anonymous <[email-masked]>
Date: Tue, 1 Sep 2020 16:19:00 +0200

Le 01/09/2020 à 13:10, Stefan Kangas a écrit :
> Philippe Spiesser <[email-masked]> writes:
>
>> Hello,
>> yesterday, I have updated the local directory of emacs 28.0.50 to
>> rebuild a new version; the last time I've updated was the 9 of august
>> and everything was OK.
>> Building stops with the messages :
>>           cp -f temacs bootstrap-emacs
>>           rm -f bootstrap-emacs.pdmp
>>           ./temacs --batch  -l loadup --temacs=pbootstrap
>>           make[1]: *** [bootstrap-emacs.pdmp] Segmentation fault: 11
>>           make: *** [src] Error 2
>> I can't explain this.
>> I hope it's the correct place to send this message
> Did you try "make bootstrap"?
>
> Also, please include the full commands you used to build this, starting
> with configure.

I try "make bootstrap" with same result.

Here is the typescript file, output for the three commands :

export 
PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:/usr/local/opt/imagemagick@6/lib/pkgconfig:/usr/local/opt/libxml2/lib/pkgconfig

./configure --prefix=/usr/local/Applications --with-ns=yes

make